Subject: bug#27736: OSX 10.6.8: Building from master branch fails.

From: Paul Eggert <[email-masked]>
Date: Wed, 28 Mar 2018 12:33:01 -0700

On 03/28/2018 10:15 AM, Glenn Morris wrote:
> The relevant org-clock.el code had been deleted in Org two months ago,
> a change which was synced to Emacs today.

Unfortunately the new org code contains the expression (encode-time 0 0 
0 0 0 -50000), which won't work on Emacs platforms where time_t is 32 
bits or is unsigned, since such platforms cannot represent a time_t 
value corresponding to the year -50000.

> (Another example of my pet peeve, code in two repos being inefficient
> for developers.)